<mat-sidenav-container class="example-container all-wrap" [ngClass]="{active: active}">
  <mat-sidenav #sidenav mode="side" class="example-sidenav sidenav" opened="true">
    <div class="nav-side-menu" id="wrapper">
      <div class="brand">
        <div>
          <div class="pull-left m-t-5">
            <img src="../../assets/images/logo.png" class="m-r-10" />
            <span class="vertical-middle"> Axis</span>
          </div>
          <a id="menu-toggle" class=" btn-menu toggle mat-icon-button pull-right" mat-button
            (click)="[sidenav.toggle(), (active = !active)]">
            <i class="material-icons">menu</i>
          </a>
          <div class="clearfix"></div>
        </div>

        <div class="text-center position-relative profile-pic-section">
          <p class="f-18">{{ userInfo?.firstName | shorten: 35 }}</p>
          <p class="f-gray">{{ userInfo?.email | shorten: 35 }}</p>

          <img [src]="userInfo.photoUrl ? userInfo.photoUrl : '../../assets/images/profile.jpg'"  class="profile-pic" />
        </div>
      </div>

      <div class="menu-list">
        <ul id="menu-content" class="menu-content  out">
          <li>
            <a routerLink="/dashboard" routerLinkActive="active" (click)="disableItemsettings()">
              <img src="../../assets/images/icons/outline_dashboard_white_1x.png" class="m-r-10 vertical-middle" />
              <span class="m-t-5 vertical-middle"> Dashboard</span>
            </a>
          </li>
          <li>
            <a routerLink="/edit-profile" routerLinkActive="active" (click)="disableItemsettings()" >
              <img src="../../assets/images/icons/outline_person_white_1x.png" class="m-r-10 vertical-middle" />
              <span class="m-t-5 vertical-middle"> Edit Profile</span>
            </a>
          </li>
          <li>
            <a routerLink="/connect-to-quickbook" routerLinkActive="active" (click)="disableItemsettings()">
              <img src="../../assets/images/icons/outline_account_box_white_1x.png" class="m-r-10 vertical-middle" />
              <span class="m-t-5 vertical-middle">Connect to Quickbook</span>
            </a>
          </li>
          <li>
            <a routerLink="/connection" routerLinkActive="active" (click)="disableItemsettings()">
              <img src="../../assets/images/icons/outline_account_box_white_1x.png" class="m-r-10 vertical-middle" />
              <span class="m-t-5 vertical-middle"> Connection </span></a
            >
          </li>
        </ul>
      </div>
    </div>
  </mat-sidenav>

  <mat-sidenav-content mode="push" class="page-wrap">
    <button class="arrow-btn mat-icon-button" mat-button (click)="[sidenav.toggle(), (active = !active)]">
      <i class="material-icons f-32">
        keyboard_arrow_right
      </i>
    </button>

    <app-top-menu></app-top-menu>
    <div class="content">
      <router-outlet></router-outlet>
    </div>
    <app-footer></app-footer>
  </mat-sidenav-content>
</mat-sidenav-container>
